%define anolis_release 8
Name:           perl-Lingua-EN-Inflect
Version:        1.905
Release:        %{anolis_release}%{?dist}
Summary:        Convert singular to plural, select "a" or "an"
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Lingua-EN-Inflect
Source0:        https://cpan.metacpan.org/authors/id/D/DC/DCONWAY/Lingua-EN-Inflect-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  coreutils
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Run-time:
BuildRequires:  perl(Carp)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(vars)
# Tests:
BuildRequires:  perl(Test::More)
Requires:  perl(Carp)

%description
%{summary}.

%package doc
Summary: Documentation files for %{name}
Requires: %{name} = %{EVR}

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q -n Lingua-EN-Inflect-%{version}
chmod -x Changes README lib/Lingua/EN/Inflect.pm

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
make

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%{perl_vendorlib}/Lingua/
%{_mandir}/man3/*.3*

%files doc
%doc Changes README

%changelog
* Mon Feb 6 2023 Funda Wang <fundawang@yeah.net> - 1.905-8
- Import package for anolis 23
